<!--
IGAC proyecto SNC

@author			juanfelipe.garcia
@version 		1.0
@description    Realizar control de calidad de Depuración.                
@cu 			CU-NP-CO-206
@MB             ControlDeCalidadMB
-->

<p:fieldset xmlns="http://www.w3.org/1999/xhtml"
            xmlns:ui="http://java.sun.com/jsf/facelets"
            xmlns:f="http://java.sun.com/jsf/core"
            xmlns:h="http://java.sun.com/jsf/html"
            xmlns:p="http://primefaces.org/ui"
            xmlns:fn="http://java.sun.com/jsp/jstl/functions" id="controlCalidadFS">

    <h:panelGrid columns="1" width="100%">

        <p:messages showDetail="false" globalOnly="false" id="controlMsg" />

        <h:panelGrid columns="1">
            <h:outputLabel value="Observaciones realizadas"
                           styleClass="outputLabelStyle" />

            <p:dataTable id="observacionesDT"
                         value="#{controlCalidad.observacionesRealizadas}" var="observacion"
                         paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         emptyMessage="No se encontraron observaciones">

                <p:column headerText="Revisión No.">
                    <h:outputText id="revisionV-1" value="#{observacion.numeroRevision}">
                    </h:outputText>
                </p:column>

                <p:column headerText="Aprueba control de calidad">
                    <h:outputText value="#{observacion.apruebaControlCalidad}" />
                </p:column>

                <p:column headerText="Observaciones">
                    <h:outputText value="#{observacion.observacion}"
                                  styleClass="outputTextStyle" escape="false"/>
                </p:column>

                <p:column headerText="Fecha">
                    <h:outputText value="#{observacion.fecha}"
                                  styleClass="outputTextStyle" />

                </p:column>
            </p:dataTable>


            <p:spacer height="10" width="0" />

            <h:outputLabel value="Inconsistencias geográficas de la revisión:"
                           styleClass="outputLabelStyle" />

            <p:dataTable id="inconsistenciasDT" widgetVar="inconsistenciasDTWV"
                         value="#{controlCalidad.inconsistenciasTramiteDeLaRevision}"
                         var="inconsistencia" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         emptyMessage="No se encontraron inconsistencias">

                <p:column headerText="Tipo">
                    <h:outputText id="PredioTipoV" value="#{inconsistencia.tipo}" />
                </p:column>

                <p:column headerText="Descripción">
                    <h:outputText value="#{inconsistencia.inconsistencia}" />

                </p:column>
                <p:column headerText="Nùmero predial">
                    <h:outputText value="#{inconsistencia.numeroPredial}"
                                  styleClass="outputTextStyle" />
                </p:column>
            </p:dataTable>

            <h:panelGrid columns="2">
                <h:outputLabel value="Aprueba control de calidad?"
                               styleClass="outputLabelStyle" />
                <h:selectOneRadio id="options" value="#{controlCalidad.aprueba}">
                    <f:selectItem itemLabel="SI" itemValue="SI" />
                    <f:selectItem itemLabel="NO" itemValue="NO" />
                    <p:ajax process="@this" onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();"
                            update=":registroControlCalidadForm"
                            listener="#{controlCalidad.apruebaControlListener}" />
                </h:selectOneRadio>
            </h:panelGrid>

            <h:panelGrid width="450" columns="1" id="observacionesPG">
                <h:outputLabel value="Observaciones:" styleClass="outputLabelStyle" />
                <p:spacer height="10" width="0" />
                <p:editor value="#{controlCalidad.observacionesNuevas}"
                          id="observacionesNuevas"
                          disabled="#{!controlCalidad.activarObservaciones}"
                          widgetVar="observacionesNuevasWV" width="400" height="150"
                          controls="bold italic | style |
                          bullets numbering | outdent indent | alignleft justify | undo redo  | 
                          cut copy paste pastetext | print " />
            </h:panelGrid>

            <p:outputPanel layout="block" style="text-align:center"
                           id="botonesOP">

                <p:commandButton value="Actualizar Inconsistencias de la revisión" update="controlMsg, :registroControlCalidadForm"
                                 immediate="true" process="@this" icon="ui-icon-check"
                                 action="#{controlCalidad.cargarInconsistenciasDeLaRevision}" ajax="false" />

                <p:spacer height="0" width="10" />

                <p:commandButton value="Editor geográfico" icon="ui-icon-image"
                                 onclick="abrirEditor('snc:#{controlCalidad.parametroEditorGeografico}', noDesktopWV);" />

                <p:spacer height="0" width="10" />

                <p:commandButton value="Guardar" update="controlMsg, :registroControlCalidadForm"
                                 icon="ui-icon-disk"
                                 disabled="#{!controlCalidad.habilitarBotonGuardar}"
                                 action="#{controlCalidad.guardarObservaciones}" ajax="false" />

            </p:outputPanel>

        </h:panelGrid>
    </h:panelGrid>
</p:fieldset>